POST Statements
Important Notes:
- patientId - iCorePay internal ULID use to directly link to an internal patient
- externalPmsPatientId - This is the PMS's patient identifier
- externalPatientId - This is your identifier for the patient (can be the same as the PMS's patient identifer)
Upload Statements
From your backend code, upload statements with your store id and private key.
POST
https://gfp-api.acdev.io/api/v1/pending-invoices/
Body Parameters
- fileNamestringrequiredDescription
- pendingInvoiceUploadsObjectrequiredDescription
- statementDateStringrequiredDescription
- rowNumIntegerrequiredDescription
- patientIdstringDescription
- providerIdstringDescription
- amountDueNumberDescription
- firstNamestringDescription
- lastNamestringDescription
- emailstringDescription
- smsPhoneNumberstringDescription
- addressLine1stringDescription
- addressLine2stringDescription
- addressCitystringDescription
- addressStatestringDescription
- addressZipstringDescription
- patientNotestringDescription
- externalLocationIdstringDescription
- lineItemsObjectDescription
- datestringDescription
- dateOfServicestringDescription
- skustringDescription
- chargesIntegerDescription
- creditIntegerDescription
- balanceIntegerDescription
- patientFirstNamestringDescription
- patientLastNamestringDescription
- posOrderIdstringDescription
- externalPatientIdstringrequiredDescription
- externalPmsPatientIdstringrequiredDescription
json
curl -X POST \
--url 'https://gfp-api.acdev.io/api/v1/pending-invoices' \
--header 'content-type: application/json;charset=UTF-8' \
--header 'accept: application/json' \
--header 'X-Api-Key: {Secret API Key}' \
--header 'X-Store-Id: {Store ULID}' \
--data-raw '
{
"fileName": "test_upload.xlsx",
"pendingInvoiceUploads": [
{
"statementDate": "2022-11-08",
"patientId": "2006-1000009",
"firstName": "John",
"lastName": "Snow",
"email": "[email protected]",
"smsPhoneNumber": "+15556873509",
"addressLine1": "1 Castle",
"addressCity": "Winterfell",
"addressState": "GA",
"addressZip": "30030",
"amountDue": 15780,
"patientNote": "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. ",
"posOrderId": "deadbeef-dead-beef-dead-beefdeadbeef",
"lineItems": [
{
"date": "2022-11-08",
"dateOfService": "2022-04-11",
"sku": "D1110",
"description": "Prophylaxis - Adult",
"charges": 13900,
"credit": -13700,
"balance": 200,
"patientFirstName": "Daenerys",
"patientLastName": "Targaryen"
},
{
"date": "2022-11-08",
"dateOfService": "2022-04-11",
"sku": "D0274",
"description": "Bitewings - Four Radiographic Images",
"charges": 9800,
"credit": -9400,
"balance": 400,
"patientFirstName": "Daenerys",
"patientLastName": "Targaryen"
},
{
"date": "2022-11-08",
"dateOfService": "2021-10-07",
"description": "Insurance Adjustment",
"charges": 2100,
"balance": 2100,
"patientFirstName": "Daenerys",
"patientLastName": "Targaryen"
},
{
"date": "2022-11-08",
"dateOfService": "2021-10-09",
"sku": "D2392",
"description": "Resin-Based Composite - Two Surfaces, Posterior",
"charges": 35100,
"credit": -32060,
"balance": 3040,
"patientFirstName": "Daenerys",
"patientLastName": "Targaryen"
},
{
"date": "2022-11-08",
"dateOfService": "2022-04-11",
"sku": "D2392",
"description": "Resin-Based Composite - Two Surfaces, Posterior",
"charges": 35100,
"credit": -32060,
"balance": 3040,
"patientFirstName": "Daenerys",
"patientLastName": "Targaryen"
},
{
"date": "2022-11-08",
"dateOfService": "2021-10-07",
"sku": "D1208",
"description": "Topical Application Of Fluoride – Excluding Varnish",
"charges": 5900,
"credit": -2400,
"balance": 3500,
"patientFirstName": "Daenerys",
"patientLastName": "Targaryen"
},
{
"date": "2022-11-08",
"dateOfService": "2022-04-11",
"sku": "D1208",
"description": "Topical Application Of Fluoride – Excluding Varnish",
"charges": 5900,
"credit": -2400,
"balance": 3500,
"patientFirstName": "Daenerys",
"patientLastName": "Targaryen"
}
]
}
]
}'200
{
"savedPaymentId":"01GQSVMZH59XSSXFXKNBZNW6PY"
}